> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Job

> Create a foreign securities Tax P&L job; send input/output, financial year, and auth headers to get the job_id plus presigned upload URL.

<Note>
  This endpoint is part of a job-based async workflow. See the [job-based API workflow guide](/guides/developer-resources/job_based_apis#job-based-api-workflow) for job creation, payload upload, and status polling.
</Note>

<Card title="Run in Postman" icon="https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3" horizontal arrow="true" href="https://www.postman.com/in-co-sandbox/sandbox-api/request/9v24oc2/submit-tax-p-l-job" width="2030" height="2031" data-path="static/svg/Postman.svg" />


## OpenAPI

````yaml api-reference/it/openapi.json POST /it/calculator/tax-pnl/securities/foreign
openapi: 3.1.0
info:
  title: Sandbox API [Prod]
  version: '1.0'
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security:
  - {}
paths:
  /it/calculator/tax-pnl/securities/foreign:
    post:
      tags:
        - tax-pnl
        - securities
        - foreign
      summary: Submit Tax P&L Job
      parameters:
        - name: input
          in: query
          required: false
          description: >-
            Type of input file. Allowed values: tradewise_settlement or
            tradebook.
          deprecated: false
          schema: {}
          example: tradebook
        - name: output
          in: query
          required: false
          description: >-
            Output format to generate. Allowed values: tradewise_tax_pnl or
            scripwise_tax_pnl.
          deprecated: false
          schema: {}
          example: tradewise_tax_pnl
        - name: financial_year
          in: query
          required: false
          description: >-
            Financial year for which the report is generated. Use format FY
            20XX-XX (e.g., FY 2024-25).
          deprecated: false
          schema: {}
          example: FY 2024-25
        - name: x-accept-type
          in: header
          required: false
          description: application/json or application/xlsx
          deprecated: false
          schema: {}
          example: application/xlsx
        - name: x-api-key
          in: header
          required: false
          description: Your API key used to authenticate and authorize the request.
          deprecated: false
          schema: {}
          example: '{{api_key}}'
        - name: x-api-version
          in: header
          required: false
          description: >-
            Indicates the version of the API you want to use. Ensures
            backward-compatible behavior.
          deprecated: false
          schema: {}
          example: '{{version}}'
        - name: Authorization
          in: header
          required: false
          description: >-
            Bearer token for user-level authorization. Typically passed as
            Bearer {{access_token}}.
          deprecated: false
          schema: {}
          example: '{{access_token}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      section:
                        type: string
                      description:
                        type: string
                      scheme:
                        type: string
                      assessee:
                        type: string
                      allowable:
                        type: string
                      allowable_percentage:
                        type: string
                        format: color
            example:
              data:
                - section: 80GGC
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '-'
                  allowable_percentage: '100'
                - section: 80GGC
                  description: '-'
                  scheme: old
                  assessee: huf
                  allowable: '-'
                  allowable_percentage: '100'
                - section: 80GGA
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '-'
                  allowable_percentage: '100'
                - section: 80GGA
                  description: '-'
                  scheme: old
                  assessee: huf
                  allowable: '-'
                  allowable_percentage: '100'
                - section: 80TTA
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '10000'
                  allowable_percentage: '-'
                - section: 80TTA
                  description: '-'
                  scheme: old
                  assessee: huf
                  allowable: '10000'
                  allowable_percentage: '-'
                - section: 80TTB
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '50000'
                  allowable_percentage: '-'
                - section: 80C
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '150000'
                  allowable_percentage: '-'
                - section: 80C
                  description: '-'
                  scheme: old
                  assessee: huf
                  allowable: '150000'
                  allowable_percentage: '-'
                - section: 80CCC
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '150000'
                  allowable_percentage: '-'
                - section: 80CCD(1)
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '150000'
                  allowable_percentage: '10'
                - section: 80CCD(1B)
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '50000'
                  allowable_percentage: '-'
                - section: 80CCD(2)
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '-'
                  allowable_percentage: '10'
                - section: 80E
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '-'
                  allowable_percentage: '100'
                - section: 80EE
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '50000'
                  allowable_percentage: '-'
                - section: 80RRB
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '300000'
                  allowable_percentage: '-'
                - section: 80QQB
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '300000'
                  allowable_percentage: '-'
                - section: 80JJAA
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '-'
                  allowable_percentage: '30'
                - section: 80JJAA
                  description: '-'
                  scheme: old
                  assessee: huf
                  allowable: '-'
                  allowable_percentage: '30'
                - section: 16(ia)
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '50000'
                  allowable_percentage: '-'
                - section: 16(ii)
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '5000'
                  allowable_percentage: '20'
                - section: 24(a)
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '-'
                  allowable_percentage: '30'
                - section: 80EEA
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '150000'
                  allowable_percentage: '-'
                - section: 80EEB
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '150000'
                  allowable_percentage: '-'
                - section: 54B
                  description: '-'
                  scheme: old
                  assessee: huf
                  allowable: '-'
                  allowable_percentage: '100'
                - section: 54B
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '-'
                  allowable_percentage: '100'
                - section: 54EC
                  description: '-'
                  scheme: old
                  assessee: individual
                  allowable: '5000000'
                  allowable_percentage: '100'
                - section: 54EC
                  description: '-'
                  scheme: old
                  assessee: huf
                  allowable: '5000000'
                  allowable_percentage: '100'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  data:
                    type: object
                    properties:
                      created_at:
                        type: integer
                      updated_at:
                        type: integer
                      '@entity':
                        type: string
                      security_type:
                        type: string
                      url:
                        type: string
                        format: uri
                      status:
                        type: string
                      job_id:
                        type: string
                  transaction_id:
                    type: string
              example:
                code: 200
                timestamp: 1764238413503
                data:
                  created_at: 1764238413653
                  updated_at: 1764238413653
                  '@entity': in.co.sandbox.it.calculator.tax_pnl.securities.job
                  security_type: foreign
                  url: >-
                    https://in-co-sbox-it-calc-tax-pnl-sec-dev.s3.ap-south-1.amazonaws.com/foreign/d56aded2-8632-44ca-9283-240a2b6ba3e2/workbook.input?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=EXAMPLEACCESSKEY%2F20251127%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Date=20251127T101333Z&X-Amz-Expires=86400&X-Amz-Signature=EXAMPLE_SIGNATURE&X-Amz-SignedHeaders=host&x-amz-checksum-crc32=AAAAAA%3D%3D&x-amz-sdk-checksum-algorithm=CRC32&x-id=PutObject
                  status: created
                  job_id: d56aded2-8632-44ca-9283-240a2b6ba3e2
                transaction_id: d56aded2-8632-44ca-9283-240a2b6ba3e2
        '422':
          description: Invalid Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
              example:
                code: 422
                timestamp: 1764238434764
                message: Invalid request
                transaction_id: 9079efe0-8ff4-4912-acc1-ad6c069015bd

````